cc.funkemunky.api.utils.objects.filtered

## Class FilteredSet<T>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractSet<E>
    - - java.util.HashSet<T>
      - - cc.funkemunky.api.utils.objects.filtered.FilteredSet<T>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<T>, java.util.Collection<T>, java.util.Set<T>

    public class FilteredSet<T>
    extends java.util.HashSet<T>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FilteredSet(java.util.function.Predicate<T> predicate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `add(T t)`
`boolean` `addAll(java.util.Collection<? extends T> c)`

### Methods inherited from class java.util.HashSet

`clear, clone, contains, isEmpty, iterator, remove, size, spliterator`

### Methods inherited from class java.util.AbstractSet

`equals, hashCode, removeAll`

### Methods inherited from class java.util.AbstractCollection

`containsAll, retainAll, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Set

`containsAll, equals, hashCode, removeAll, retainAll, toArray, toArray`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Constructor Detail

#### FilteredSet

    public FilteredSet(java.util.function.Predicate<T> predicate)

### Method Detail

#### add

    public boolean add(T t)

Specified by:
  `add` in interface `java.util.Collection<T>`
Specified by:
  `add` in interface `java.util.Set<T>`
Overrides:
  `add` in class `java.util.HashSet<T>`

#### addAll

    public boolean addAll(java.util.Collection<? extends T> c)

Specified by:
  `addAll` in interface `java.util.Collection<T>`
Specified by:
  `addAll` in interface `java.util.Set<T>`
Overrides:
  `addAll` in class `java.util.AbstractCollection<T>`